# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name hamlet

%global common_summary Haml-like template files that are compile-time checked

%global common_description Hamlet gives you a type-safe tool for generating HTML code. \
It works via Quasi-Quoting, and generating extremely \
efficient output code. The syntax is white-space sensitive, \
and it helps you avoid cross-site scripting issues and 404 \
errors. Please see the documentation at \
<http://docs.yesodweb.com/hamlet/> for more details.

Name:           ghc-%{pkg_name}
Version:        0.10.3
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
# ppc64 not bootstrapped for Template Haskell
ExcludeArch:    ppc64
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
%if %{undefined without_hscolour}
BuildRequires:  hscolour
%endif
# END cabal2spec
BuildRequires:  ghc-blaze-builder-prof
BuildRequires:  ghc-blaze-html-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-failure-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-process-prof
BuildRequires:  ghc-shakespeare-prof
BuildRequires:  ghc-template-haskell-prof
BuildRequires:  ghc-text-prof

%description
%{common_description}


%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{common_summary}
Group:          Development/Libraries
# BEGIN cabal2spec
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END cabal2spec

%description -n ghc-%{pkg_name}-devel
%{common_description}

This package contains the development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%endif


%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files


%changelog
* Sat Oct  8 2011 Jens Petersen <petersen@redhat.com> - 0.10.3-1
- update to 0.10.3
- BR prof not devel deps

* Tue Oct  4 2011 Jens Petersen <petersen@redhat.com> - 0.9.0-4
- rebuild against latest blaze-html

* Fri Sep 30 2011 Jens Petersen <petersen@redhat.com> - 0.9.0-3
- rebuild against latest blaze-html

* Thu Aug  4 2011 Jens Petersen <petersen@redhat.com> - 0.9.0-2
- rebuild for blaze-html update

* Mon Jul 25 2011 Ben Boeckel <mathstuf@gmail.com> - 0.9.0-1
- Update to 0.9.0
- Update to cabal2spec-0.24

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 0.8.2.1-2
- ghc_arches replaces ghc_excluded_archs (cabal2spec-0.23.2)

* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 0.8.2.1-1
- update to 0.8.2.1
- use ghc_exclude_archs
- cabal2spec-0.23

* Wed Apr 20 2011 Jens Petersen <petersen@redhat.com> - 0.6.1.2-4
- allow to build with blaze-builder-0.3

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.6.1.2-3
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Ben Boeckel <mathstuf@gmail.com> - 0.6.1.2-1
- Update to 0.6.1.2

* Wed Dec 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.3-1
- Update to 0.6.0.3

* Tue Nov 23 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.2-1
- Update to 0.6.0.2

* Fri Nov 12 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.1-1
- Update to 0.6.0.1

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0-1
- Update to 0.6.0

* Tue Sep 21 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0.2-1
- Update to 0.5.0.2

* Tue Sep 14 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0.1-1
- Update to 0.5.0.1

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.5.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
